/* bld_funcs.h define pybld functions copyright 2016 watabe@cyric.tohoku.ac.jp */
/* $Id: bld_funcs.h,v 122477060168 2016/06/24 12:38:07 watabe $ */
PyArrayObject *fit(PyObject *PyFunc, PyArrayObject *tm_ar, PyArrayObject *obs_ar, PyArrayObject *par_ar,  PyArrayObject *wt_ar, PyArrayObject *fix_ar);
PyArrayObject *interpolate(PyArrayObject *tm_array, PyArrayObject *cnt_array, PyArrayObject *out_array);
PyArrayObject *integrate(PyArrayObject *tm_array, PyArrayObject *cnt_array, PyArrayObject *out_array);
PyArrayObject *conv_exp(PyArrayObject *tm_array, PyArrayObject *par_array, PyArrayObject *a_array, PyArrayObject *b_array);
PyArrayObject *pconv_exp(PyArrayObject *tm_array, PyArrayObject *par_array, PyArrayObject *a_array, PyArrayObject *b_array);
PyArrayObject *gaus(PyArrayObject *avg, PyArrayObject *sd,int iseed);
PyArrayObject *ran(PyArrayObject *avg, PyArrayObject *sd,int iseed);
PyArrayObject *mullin(PyArrayObject *indep_y_ar, PyArrayObject *dep_x_ar, PyArrayObject *wt_ar, int weight, int cst);
PyArrayObject *polfit(int deg_pol, PyArrayObject *dep_y_ar, PyArrayObject *dep_x_ar, PyArrayObject *wt_ar, int weight);
PyArrayObject *filter(PyArrayObject *x_ar,PyArrayObject *y_ar);
PyArrayObject *spline(PyArrayObject *x_ar,PyArrayObject *y_ar,PyArrayObject *p_ar);
