#!/usr/bin/env python
#test of fitting
from pybld import *
bld = PYBLD()
def func(x,p):
    return x*p[0] + p[1]

x = arange(0,100,1,'f')
obs = x*0.5 + 20
obs = bld.gaus(obs,10)
p = array([1.,20])
bld.show = 0
bld.fit(func,x,obs,p)
fixm = array([0,1])
wt = ones(100,'f')
bld.fit(func,x,obs,p,fixm = fixm)
bld.plot(x,obs,bld.fit_z)

