/* Copyright (C) 2000-2016 Hiroshi Watabe watabe@cyric.tohoku.ac.jp */
/* test of pybld_pass */
/* generate python wrapper as follows;
python3 gen_pybld_pass.py example13.c user_func */

#include <stdio.h>

float *user_func(int *ndim, float *x,float *p, int *num_row, int*num_col)
{
	float *res;
	int npts,i;

	npts = ndim[0];
	printf("npts = %d\n",npts);
	res = (float *)malloc(sizeof(float)*npts);

	for(i=0;i<npts;i++){
		res[i] = p[0]*x[i] + p[1];
	}
	*num_row = npts;
	*num_col = 1;
	return res;
}
