#example for fitting with derivatives
from pybld import *
bld = PYBLD()

def func(x,p):
    ret = p[0]*p[0]*x*x + p[0]*x + p[1]
    #define derivatives
    ret2 = 2.0*x*x*p[0] + x
    ret3 = bld.combine(ret,ret2)
    ret4 = ones(len(x))
    ret3 = bld.combine(ret3,ret4)
    return ret3

time = arange(0.0,10.0)
p = array([0.3,3.0])
y = func(time,p)
dat = bld.gaus(y[0:len(time)],1)
res,resd=bld.fitd(func,time,dat,p)
bld.plot(time,dat,bld.fit_z);

                          
