#example of image transform
from pybld import *
bld = PYBLD()
img = bld.img(xdim=100,ydim=100,zdim=10,type=4)
img.img = zeros((10,100,100),dtype=short)
img.img[:,25:75,25:75] = 100
img.hdr.pixdim[1] = 1.0
img.hdr.pixdim[2] = 1.0
img.hdr.pixdim[3] = 5.0
trmat = zeros((4,4),'f')
trmat[0,0] = 1
trmat[1,1] = 1
trmat[2,2] = 1
trmat[3,3] = 1
trmat[0,3] = 10
trmat[1,3] = 20
img.view(title='before transform')
img.transform(trmat)
img.view(title='after transform')
img.zoom(0.5)
img.view(title='after zoom out')
img.zoom(2.0)
img.view(title='after zoom in')
