#example of image rotation
from pybld import *
bld = PYBLD()
img = bld.img(xdim=100,ydim=100,zdim=100,type=4)
img.img = zeros((100,100,100),dtype=short)
img.img[:,25:75,25:75] = 100
img.hdr.pixdim[1] = 1.0
img.hdr.pixdim[2] = 1.0
img.hdr.pixdim[3] = 1.0
img.view(title='before rotation')
img.rotate_z(30,50,50)
img.view(title='after rotation 30 degrees in z-axis',slice_no=50)
img.rotate_z(-30,50,50)
img.view(title='after rotation -30 degrees in z-axis',slice_no=50)
img.rotate_x(30,50,50)
img.view(title='after rotation 30 degrees in x-axis',slice_no=50)
img.rotate_x(-30,50,50)
img.view(title='after rotation -30 degrees in x-axis',slice_no=50)
img.rotate_y(30,50,50)
img.view(title='after rotation 30 degrees in y-axis',slice_no=50)
img.rotate_y(-30,50,50)
img.view(title='after rotation -30 degrees in y-axis',slice_no=50)
